/*
===========================
	   UMODPLAYER
===========================
Console IT/S3M/XM/MTM/MOD/UMX/669/FAR/OKT/MED/STM toolchain
Free & Portable
*/

/* global messages */
#define MESSAGE_NO_MEMORY		"FATAL ERROR: Not enough memory\n"

/* coresound.c messages */
#define MESSAGE_AUDIO_ERROR		"Error opening audio: %s\n"
#define MESSAGE_PLAYING			"Playing \n(any key to pause)"
#define MESSAGE_PAUSED			"\n\n>>> Paused\nResume => ENTER\nStop   => S\n\noption? "

/* file_read.c messages */
#define MESSAGE_EXPORT			"Export to filename [press enter to cancel]? "
#define MESSAGE_FORMATS			"\nAvailable formats:"
#define MESSAGE_FORMAT			"format> "
#define MESSAGE_EXPORT_ERROR	"Error while exporting!"
#define MESSAGE_DONE			"... done"
#define MESSAGE_FILENAME		"filename> "
#define MESSAGE_PRESS_ENTER		"[select an option, or press ENTER to cancel]"
#define MESSAGE_OPTION			"option> "
#define MESSAGE_STOP_PLAYLIST	"[press any key to stop playlist]"
#define MESSAGE_CANT_FIND_ITEM	"couldn`t find such playlist item!"

/* main.c messages */
#define MESSAGE_NO_MODULE		"No module loaded\n"

/* text.c messages */
#define MESSAGE_PAGINATING		"...press ENTER to continue (%d%%)"
#define MESSAGE_NO_MESSAGE		"No message is available..."
#define MESSAGE_OPEN_ERROR		"... file open error!"
#define MESSAGE_NO_INSTRUMENTS	"Song has no instruments."
#define MESSAGE_NO_SAMPLES		"Song has no samples."

