#ifndef __PLAYLIST_H
#define __PLAYLIST_H

struct playlist {
	char* name;
	char* path;
	short type;
	struct playlist* prev;
	struct playlist* next;
};

struct playlist * new_playlist(void);
struct playlist * find_playlist(int);
void remove_from_list (struct playlist *);
void delete_playlist (struct playlist *);
int move_playlist (int, int);
struct playlist * next_playlist (struct playlist *);
struct playlist * prev_playlist (struct playlist *);
void print_list (void);
void delete_list (void);
int item_get_info (struct playlist * p, char *name, char *buf, int buflen);
char * grab_name (char *);
int list_from_dir (char *);
int save_list (char*);
int load_list (char*);

#endif


